#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: pipes
version: 4.3.7
id: pipes-4.3.7-HNcOTmUPlsFA4HfRWvcTIG
key: pipes-4.3.7-HNcOTmUPlsFA4HfRWvcTIG
license: BSD3
copyright: 2012-2016 Gabriel Gonzalez
maintainer: Gabriel439@gmail.com
synopsis: Compositional pipelines
description:
    `pipes` is a clean and powerful stream processing library that lets you build
    and connect reusable streaming components
    .
    Advantages over traditional streaming libraries:
    .
    * /Concise API/: Use simple commands like '\''for'\'', ('\''>->'\''), '\''await'\'', and '\''yield'\''
    .
    * /Blazing fast/: Implementation tuned for speed, including shortcut fusion
    .
    * /Lightweight Dependency/: @pipes@ is small and compiles very rapidly,
    including dependencies
    .
    * /Elegant semantics/: Use practical category theory
    .
    * /ListT/: Correct implementation of '\''ListT'\'' that interconverts with pipes
    .
    * /Bidirectionality/: Implement duplex channels
    .
    * /Extensive Documentation/: Second to none!
    .
    Import "Pipes" to use the library.
    .
    Read "Pipes.Tutorial" for an extensive tutorial.
category: Control, Pipes
author: Gabriel Gonzalez
exposed: True
indefinite: False
exposed-modules:
    Pipes Pipes.Core Pipes.Internal Pipes.Lift Pipes.Prelude
    Pipes.Tutorial
abi: 27abb4c76fb8ff1eea10c0e1b165bcc5
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/pipes-4.3.7
library-dirs: /usr/lib/ghc-8.2.2/site-local/pipes-4.3.7
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.2.2/pipes-4.3.7
hs-libraries: HSpipes-4.3.7-HNcOTmUPlsFA4HfRWvcTIG
depends:
    base-4.10.1.0 transformers-0.5.2.0
    exceptions-0.8.3-KXvLXRbxEkO6vroqtRG1UV
    mmorph-1.1.0-1S4lM6skb3zDTw2xDs9NDW
    mtl-2.2.1-DscMMmDQUE6GBfOSl4qMUH void-0.7.2-FiGeS4PZxPp8gUDrtvjFKC
    semigroups-0.18.3-3aCIuYG4ID286XaN6MuQu7
abi-depends: base-4.10.1.0=0ea45191c57c268b2351cb731ab6a0d6
             transformers-0.5.2.0=b5dee110a615d751493b7ce1c6f95946
             exceptions-0.8.3-KXvLXRbxEkO6vroqtRG1UV=488626f806840161fa9e32c70677324e
             mmorph-1.1.0-1S4lM6skb3zDTw2xDs9NDW=0cc4eb38db8b3affd64fd075bc439b07
             mtl-2.2.1-DscMMmDQUE6GBfOSl4qMUH=a1f89647d7228db4bf59b7aaec52e888
             void-0.7.2-FiGeS4PZxPp8gUDrtvjFKC=a5672067c7a1184b41916f0fb2d0c330
             semigroups-0.18.3-3aCIuYG4ID286XaN6MuQu7=d64b81e3ed8022aca04423ee7b330679
haddock-interfaces: /usr/share/doc/haskell-pipes/html/pipes.haddock
haddock-html: /usr/share/doc/haskell-pipes/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

